Subject: RE: bug#9723: 24.0.50; Emacs Clipboard crash

From: Joseph Jones <[email-masked]>
Date: Fri, 14 Oct 2011 12:34:55 -0700

At the same time, I did have a lot of text on the windows clipboard (~5KB)

-----Original Message-----
From: Joseph Jones 
Sent: Friday, October 14, 2011 12:33 PM
To: 'Eli Zaretskii'
Cc: [email-masked]
Subject: RE: bug#9723: 24.0.50; Emacs Clipboard crash

Here is what I get, and it looks like it is definitely happening during C-x C-f for a file that doesn't already exist:

(gdb) bt
#0  0x0137014e in pure ()
#1  0x010388af in unbind_to (count=54, value=54704154) at eval.c:3406
#2  0x01032687 in unwind_to_catch (catch=0x82e424, value=54704178) at eval.c:1299
#3  0x01032718 in Fthrow (tag=20382054, value=54704178) at eval.c:1337
#4  0x01143887 in signal_user_input () at w32fns.c:2482
#5  0x01143924 in post_character_message (hwnd=0x190c66, msg=256, wParam=13, lParam=1835009, modifiers=0) at w32fns.c:2542
#6  0x01144690 in w32_wnd_proc (hwnd=0x190c66, msg=256, wParam=13, lParam=1835009) at w32fns.c:2913
#7  0x7d9472d8 in USER32!DefDlgProcW () from C:\WINDOWS\syswow64\user32.dll
#8  0x00190c66 in ?? ()
#9  0x00000100 in ?? ()
#10 0x0000000d in ?? ()
#11 0x001c0001 in ?? ()
#12 0x00000001 in ?? ()
#13 0xdcbaabcd in ?? ()
#14 0x00000000 in ?? ()
(gdb) bt full
#0  0x0137014e in pure ()
No symbol table info available.
#1  0x010388af in unbind_to (count=54, value=54704154) at eval.c:3406
        this_binding = {symbol = 57296896, old_value = 20382054, func = 0x137014e <pure+438414>, unused = 20382030}
        quitf = 54704154
        gcpro1 = {next = 0x7d94759c, var = 0x9376b0, nvars = 9663904}
        gcpro2 = {next = 0x114394d, var = 0x190c66, nvars = 1806498288}
#2  0x01032687 in unwind_to_catch (catch=0x82e424, value=54704178) at eval.c:1299
        last_time = 1
#3  0x01032718 in Fthrow (tag=20382054, value=54704178) at eval.c:1337
        c = 0x82e424
#4  0x01143887 in signal_user_input () at w32fns.c:2482
        flag = 92784554
#5  0x01143924 in post_character_message (hwnd=0x190c66, msg=256, wParam=13, lParam=1835009, modifiers=0) at w32fns.c:2542
        c = 13
        wmsg = {msg = {hwnd = 0x0, message = 642, wParam = 11, lParam = 1806498460, time = 18100165, pt = {x = 0, y = 13}},
          dwModifiers = 0, rect = {left = 3, top = 0, right = 60997120, bottom = 60997125}}
#6  0x01144690 in w32_wnd_proc (hwnd=0x190c66, msg=256, wParam=13, lParam=1835009) at w32fns.c:2913
        f = 0x6bacfdb0
        dpyinfo = 0x1626820
        wmsg = {msg = {hwnd = 0x190c66, message = 512, wParam = 0, lParam = 49087330, time = 246493093, pt = {x = 2102234307,
              y = 2102234125}}, dwModifiers = 0, rect = {left = 2103560934, top = 23226400, right = 684, bottom = 0}}
        windows_translate = 0
        key = 1806499484
#7  0x7d9472d8 in USER32!DefDlgProcW () from C:\WINDOWS\syswow64\user32.dll
No symbol table info available.
#8  0x00190c66 in ?? ()
No symbol table info available.
#9  0x00000100 in ?? ()
No symbol table info available.
#10 0x0000000d in ?? ()
No symbol table info available.
#11 0x001c0001 in ?? ()
No symbol table info available.
#12 0x00000001 in ?? ()
No symbol table info available.
#13 0xdcbaabcd in ?? ()
No symbol table info available.
#14 0x00000000 in ?? ()
No symbol table info available.
(gdb)

-----Original Message-----
From: Eli Zaretskii [mailto:[email-masked]] 
Sent: Friday, October 14, 2011 11:05 AM
To: Joseph Jones
Cc: [email-masked]
Subject: Re: bug#9723: 24.0.50; Emacs Clipboard crash

> From: Joseph Jones <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Wed, 12 Oct 2011 11:39:27 -0700
> 
> Here is the DrMinGW output for the 9/19 build that was in the link you sent me.

Thanks.  This is very strange: these addresses seem to indicate that
the crash is inside garbage collection, which makes no sense, given
the error message about the clipboard.  Or maybe I'm missing
something...

Can I ask you to download GDB, the GNU debugger, from here:

  http://sourceforge.net/projects/mingw/files/MinGW/BaseSystem/GDB/GDB-7.3/gdb-7.3-2-mingw32-bin.tar.lzma/download

and then run this Emacs binary under GDB?  (You will need the
unlzma.exe program to unpack the .lzma archive.)

To run Emacs under GDB, open a cmd window, chdir to where you have the
emacs.exe binary, and type:

  gdb ./emacs.exe

After GDB starts and reads the symbols from emacs.exe, it will show
this prompt:

  (gdb)

Type "run" to run Emacs normally.  (If you are normally invoking Emacs
with some command line arguments, type them after the "run" command,
as in "run arg1 arg2 ...".)  When Emacs crashes, please type at the
GDB prompt:

 (gdb) bt full

and post the results.

Thanks in advance.